%define upstream_name    XML-DTD
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Parse and process an XML DTD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(URI::file)
BuildArch: noarch

%description
  XML::DTD is a Perl module for parsing XML DTDs. The following
  methods are provided.

* *new*

    $dtd = new XML::DTD [ ($val) ];

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes GPL README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/dtdto
%{_mandir}/man1/dtdto.1.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.110.0-10.mga10
+ Revision: 2208044
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.110.0-9.mga9
+ Revision: 1817371
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-8.mga8
+ Revision: 1498397
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-7.mga7
+ Revision: 1272750
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-6.mga6
+ Revision: 1035914
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-5.mga6
+ Revision: 945183
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 747732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 686908
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 531873
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 465684
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 374970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 308799
- imported package perl-XML-DTD


* Sun Oct 21 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
